/*
 * File: mysqlgst.c
 * Desc: MySQL glue code for GST
 * Author: V.Krishna Kumar
 * Date: 02-02-2001
 */

#include "gst-mysql.h"

static VMProxy *proxy;

MYSQL *mysqlInit(void){
    return mysql_init(NULL);
}

MYSQL *mysqlConnect(void *handle,char *host,char *user,char *pwd,char *db){
    return mysql_real_connect((MYSQL *) handle,host,user,pwd,db,0,NULL,0);
}


void mysqlDisconnect(void *conn){
    mysql_close((MYSQL *)conn);
}

char *mysqlGetHost(void *handle){
    return mysql_get_host_info((MYSQL *)handle);
}

int mysqlQuery(void *handle,char *str){
    return mysql_query((MYSQL *) handle,str);
}


/*MYSQL_RES *mysqlStoreResult(void *handle){
    return mysql_store_result((MYSQL *) handle);
}

void mysqlFreeResult(void *resultSet){
    mysql_free_result((MYSQL_RES *) resultSet);
}

int mysqlRowCount(void *resultSet){
    return mysql_row_count((MYSQL_RES *) resultSet);
}

int mysqlFieldCount(void *connection){
    return mysql_field_count((MYSQL *)connection);
}

int mysqlNumFields(void *result){
    return mysql_num_fields((MYSQL_RES *) result);
} */
/* gst glue follows */

void gst_initModule(VMProxy *vmproxy){
    proxy = vmproxy;
    //initMysql();
    proxy->defineCFunc("mysqlInit",mysqlInit);
    proxy->defineCFunc("mysqlConnect",mysqlConnect);
    proxy->defineCFunc("mysqlDisconnect",mysqlDisconnect);
    proxy->defineCFunc("mysqlGetHost",mysqlGetHost);
    proxy->defineCFunc("mysqlError",mysql_error);
    proxy->defineCFunc("mysqlGetServerInfo",mysql_get_server_info);
    proxy->defineCFunc("mysqlGetHostInfo",mysql_get_host_info);
    proxy->defineCFunc("mysqlGetClientInfo",mysql_get_client_info);
    proxy->defineCFunc("mysqlQuery",mysqlQuery);
    proxy->defineCFunc("mysqlStoreResult",mysql_store_result);
    proxy->defineCFunc("mysqlFreeResult",mysql_free_result);
    proxy->defineCFunc("mysqlRowCount",mysql_num_rows);
    proxy->defineCFunc("mysqlFieldCount",mysql_field_count);
    proxy->defineCFunc("mysqlNumFields",mysql_num_fields);
}
/*void initMysql(void){
    proxy->defineCFunc("mysqlInit",mysqlInit);
    proxy->defineCFunc("mysqlConnect",mysqlConnect);
    proxy->defineCFunc("mysqlDisconnect",mysqlDisconnect);
    proxy->defineCFunc("mysqlGetHost",mysqlGetHost);
    proxy->defineCFunc("mysqlError",mysql_error);
    proxy->defineCFunc("mysqlGetServerInfo",mysql_get_server_info);
    proxy->defineCFunc("mysqlGetHostInfo",mysql_get_host_info);
    proxy->defineCFunc("mysqlGetClientInfo",mysql_get_client_info);
    proxy->defineCFunc("mysqlQuery",mysqlQuery);
    proxy->defineCFunc("mysqlStoreResult",mysql_store_result);
    proxy->defineCFunc("mysqlFreeResult",mysql_free_result);
    proxy->defineCFunc("mysqlRowCount",mysql_num_rows);
    proxy->defineCFunc("mysqlFieldCount",mysql_field_count);
    proxy->defineCFunc("mysqlNumFields",mysql_num_fields);
} */


